# -*- coding: utf-8 -*-
"""
Manipulate Mirada playlists

.. rubric:: Classes

* :py:class:`py_cerebro.vista.Vista`

"""

import sys
import argparse


def convert_file(file_in, file_out):
	from pycerebro import vista
	import opentimelineio as otio
	
	pl = otio.adapters.read_from_file(file_in)
	otio.adapters.write_to_file(pl, file_out)


if __name__ == "__main__":
	try:
		parser = argparse.ArgumentParser()
		parser.add_argument('source', help = "Source file location")
		parser.add_argument('destination', help = "Destination file location")
		
		args = parser.parse_args()
		convert_file(args.source, args.destination)
	except Exception as e:
		sys.exit(str(e))
